<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_joomlaextphp7checker
 *
 * @copyright   Copyright (C) 2016 Strato AG All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');

/**
 * Check View
 *
 * @since  0.0.1
 */
class Php7ExtCheckerViewCheck extends JViewLegacy
{
	/**
	 * @var null|array Installed extensions and their status
	 */
	protected $data = null;

	/**
	 * Display the Check view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed
	 *
	 * @throws Exception
	 */
	function display($tpl = null)
	{
		// Get data from the model
		$this->data	= $this->get('data');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			throw new Exception('Internal server Error', 500);
		}

		JToolBarHelper::title(JText::_('COM_PHP7EXTCHECKER_CHECK_TITLE'));

		if (JFactory::getUser()->authorise('core.admin', 'com_php7extchecker'))
		{
			JToolBarHelper::preferences('com_php7extchecker');
		}

		// Display the template
		parent::display($tpl);
	}
}